import { defineStore, type StoreDefinition } from 'pinia'
import type { Notification } from '@/types'

export const useNotificationStore: StoreDefinition = defineStore('notifications', {
  state: () => ({
    notifications: [] as Notification[]
  }),
  getters: {
    getNotifications: (state: any) => state.notifications
  },
  actions: {
    addNotification(notification: Notification) {
      this.notifications.push(notification);
    },
    removeNotification(index: number) {
      this.notifications.splice(index, 1);
    }
  }
});